## paxtest 0.9.6

=== Makefile ===
#!/usr/bin/make
#
# PaXtest master makefile
# Copyright(c) 2003 by Peter Busser <peter@adamantix.org>
# This file has been released under the GNU Public Licence version 2 or later

all:
	@cat targets

adamantix:
	make -f Makefile.Adamantix

gentoo:
	make -f Makefile.Gentoo

generic:
	make -f Makefile.generic

openbsd:
	make -f Makefile.OpenBSD

clean:
	make -f Makefile.Adamantix clean

=== chpax-0.5/Makefile ===
##
## Makefile for chpax.c
##
## The PaX project : http://pageexec.virtualave.net/
##

SRC	= chpax.c io.c elf32.c elf64.c aout.c flags.c
OBJ	= $(SRC:.c=.o)
RM	= rm -f 
TARGET	= chpax
CC	= gcc
CFLAGS	= -Wall -W -g3
STRIP	= strip
#STRIP	= touch
CP	= cp
DESTDIR =
MANDIR	= /usr/share/man/man1/
MKDIR	= mkdir -p

all	: $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o $(TARGET)

install	: all
	$(STRIP) $(TARGET)
	$(MKDIR) $(DESTDIR)/sbin/ $(DESTDIR)$(MANDIR)
	$(CP) $(TARGET) $(DESTDIR)/sbin/
	$(CP) $(TARGET).1 $(DESTDIR)$(MANDIR)

clean	:
	$(RM) *.o *~ \#* *\#

fclean	: clean
	$(RM) $(TARGET)

## paxtest 0.9.7

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	make -f Makefile.generic
 
 openbsd:
-	make -f Makefile.OpenBSD
+	gmake -f Makefile.OpenBSD
 
 clean:
 	make -f Makefile.Adamantix clean

## paxtest 0.9.14

=== Makefile ===
#!/usr/bin/make
#
# PaXtest master makefile
# Copyright(c) 2003 by Peter Busser <peter@adamantix.org>
# This file has been released under the GNU Public Licence version 2 or later

all:
	@cat targets

linux:
	make -f Makefile.psm

linux32:
	make -f Makefile.psm THEARCH=-m32

linux64:
	make -f Makefile.psm THEARCH=-m64

openbsd:
	gmake -f Makefile.OpenBSD

clean:
	make -f Makefile.psm clean

=== chpax-0.7/Makefile ===
##
## Makefile for chpax.c
##
## The PaX project : http://pax.grsecurity.net/
##

SRC	= chpax.c io.c elf32.c elf64.c aout.c flags.c
OBJ	= $(SRC:.c=.o)
RM	= rm -f 
TARGET	= chpax
CC	= gcc
CFLAGS	= -Wall -W -g3
STRIP	= strip
#STRIP	= touch
CP	= cp
DESTDIR =
MANDIR	= /usr/share/man/man1/
MKDIR	= mkdir -p

all	: $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o $(TARGET)

install	: all
	$(STRIP) $(TARGET)
	$(MKDIR) $(DESTDIR)/sbin/ $(DESTDIR)$(MANDIR)
	$(CP) $(TARGET) $(DESTDIR)/sbin/
	$(CP) $(TARGET).1 $(DESTDIR)$(MANDIR)

clean	:
	$(RM) *.o *~ \#* *\#

fclean	: clean
	$(RM) $(TARGET)

=== debian/changelog ===
paxtest (1:0.9.14-2) unstable; urgency=low

  * debian/control: Add quilt to Build-Depends as required with the changes introduced
    in the previous version
  * debian/watch: Add file based on the watch file available provided by 
    Bart Martens and available in: 
    http://anonscm.debian.org/viewvc/sepwatch/trunk/watchfiles/
  * Add new results files (Debian_sid_Linux_4_4_grsec_2016.blackhat,
    Debian_sid_Linux_4_4_grsec_2016.kiddie) provided by 'Esokrates' based on
    the execution of paxtest in a Linux 4.4 kernel with grsecurity
  * Add a README file documenting what paxtest execution examples are provided 

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 02 May 2016 21:16:13 +0200

paxtest (1:0.9.14-1) unstable; urgency=medium

  * New upstream release and upload to Debian
     - This release fixes the incomplete output issue reported 
       in standard kernels (Closes:  #779316)
  * debian/docs: Adjust with the contents now available from upstream
  * debian/rules: Simplify the package construction by converting it to
    debhelper
  * Convert into 3.0 quilt format and move patches to debian/patches:
     - 01_add_results.diff  - add paxtest results from some systems
     - 02_change_log_file_location.diff - change location of paxtest logfile
     - 03_paxtest_add_info.diff - Add more information to paxtest logfile
     - 04_remove_void_function.diff: Add patch to fix bug 758566 as provided
       in the bug report. This patch is not applied yet as we do not know if
       this impacts the tests themselves and is required by the paxtest
       program.
  * Create example results for execution in a Linux sid system using
    kernel 4.4
  * Move the results from docs to examples. Do not ship the Adamantix sample
    anymore as the project is defunct

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 30 Apr 2016 13:47:59 +0200

paxtest (0.9.13-1) stable; urgency=low

  * Added VDSO randomization test
  * Added basic entropy quality testing, subtracts weak bits from entropy count
  * Increased iterations for all randomization tests but the exhaustion tests

 -- Brad Spengler <spender@grsecurity.net>  Thu, 26 Aug 2010 19:17:00 +0200

paxtest (0.9.12-1) stable; urgency=low

  * Added ARM support

 -- Brad Spengler <spender@grsecurity.net>  Thu, 26 Aug 2010 19:17:00 +0200

paxtest (1:0.9.11-2) unstable; urgency=low

  * New upstream release, uploaded to Debian. (Closes: #665800)
     - The upstream fixed the FTBFS error reported - "fix build with ld
       --as-needed". Makefile.psm now places libraries behind the objects
       needing their symbols on the commandline when building with ld
       --as-needed (initially reported with patch by Julian Taylor
       <jtaylor.debian@googlemail.com>) (LP: #831405) (Closes: #639128)
  * debian/control: 
     - Add, as to the list of architectures the following: amd64 sparc powerpc
     (as they seem to be supported in the source). 
     - Put full maintainer's name in UTF-8
  * debian/changelog:
     - Add changelog of Ubuntu entry
     - Add dates to upstream releases based on timestamps of files at
       http://grsecurity.net/~spender/
  * debian/sample.debian, debian/rules:
     - Add an output example when running in a Debian system (a kernel that
     does not include the grsecurity patch)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 04 Nov 2013 19:31:08 +0100

paxtest (0.9.11-1) stable; urgency=low

  * Added display of exhaustion tests

 -- Brad Spengler <spender@grsecurity.net>  Thu, 31 Jan 2013 23:21:00 +0200

paxtest (0.9.10-1) stable; urgency=low

  * Fixed compilation problem reported on forums
  * Added display of argv/env randomization

 -- Brad Spengler <spender@grsecurity.net>  Thu, 29 Dec 2012 19:42:00 +0200

paxtest (1:0.9.9-1ubuntu1) oneiric; urgency=low

   * Fix FTBFS with ld --as-needed. LP: #831405.

 -- Matthias Klose <email address hidden>   Wed, 14 Sep 2011 10:30:24 +0200

paxtest (1:0.9.9-1) unstable; urgency=medium

   * New upstream release, uploaded to Debian. (LP: #530778) (Closes: #570990)
   * genpaxtest: Modify so that the 'paxtest' script generated uses 
        either a user-provided logfile as argument or the $HOME/paxtest.log
        instead of paxtest.log for its results in order to prevent it from
        writing in the users' CWD and avoid symlink tricks if the user is
        executing this in a shared (i.e.  writable by others) directory such as
        /tmp.  Fixes CVE-2010-3373 (Closes: #598413)
   * Updated results in the results/ directory for a stock Debian kernel
     (i.e. no overflow protection)
   * Use debhelper compatibility version 5
   * debian/rules: Use conditions to build using 'linux32', 'linux64' or
     just 'linux'
   * Document the new Homepage in debian/control, also list both the new
     and the old one in debian/copyright
   * Updated debian/paxtest.sgml to properly reflect the arguments used in the 
     paxtest script and the new behaviour wrt log files.
   * Fix upstream's debian/changelog to have proper maintainer lines. Use the
     date information of the files as a basis.
   * Updated the content under results/ for a stock Debian kernel (2.6.32)
     and rename the older result files for Debian kernel 2.4.25

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Sep 2010 23:40:17 +0200

paxtest (0.9.9-1) stable; urgency=low

  * added SPARC/64 support
  * added PPC/64 support (return to function tests should be ignored for PPC64)
  * added 32/64bit target support
  * added shellode.h to easily support additional architectures
  * made paxctl generate the PT_PAX_FLAGS header for binaries that
    didn't have one

 -- Brad Spengler <spender@grsecurity.net>  Thu, 26 Aug 2010 19:17:00 +0200

paxtest (0.9.7-pre4-2) unstable; urgency=low

  * New upstream release.
  * Build-Depend on linux-kernel-headers (Closes: #382011, #423308)
  * Fix typo in package description (Closes: #390250)
  * Use proper Homepage in debian/control


=== debian/control ===
Source: paxtest
Section: devel
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper (>=9), docbook-to-man, linux-kernel-headers, quilt
Standards-Version: 3.9.6
Homepage: http://www.grsecurity.net/~spender/

Package: paxtest
Architecture: i386 amd64 sparc powerpc
Depends: ${shlibs:Depends}
Description: Test suite for the PaX kernel patch
 PaX is a Linux kernel patch which adds much stricter control on how memory
 is being used by applications. A normal Linux kernel leaves the control to the
 application and does not implement any enforcement. Especially buffer overflow
 attacks benefit from the absence of kernel enforced memory control. PaX tries
 to do its best to enforce this control of memory used by applications, thereby
 making it harder to successfully exploit buffer overflows.
 .
 Paxtest provides a regression test suite that covers most (but not all)
 of PaX functionality. It can also be used to test other memory protection
 patches.

## paxtest 0.9.15

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,9 @@
 openbsd:
 	gmake -f Makefile.OpenBSD
 
+freebsd:
+	make -f Makefile.FreeBSD
+
 clean:
 	make -f Makefile.psm clean

=== debian/changelog ===
paxtest (1:0.9.15-2) unstable; urgency=medium

  * Remove linux-kernel-headers from dependencies (Closes: #959460)
  * debian/changelog: Add email in past upload to fix lintian errors, fix
    syntax issue in line

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 11 May 2020 13:56:48 +0200

paxtest (1:0.9.15-1) unstable; urgency=low

  * New upstream release
    - The new release avoids using a dummy function if compiling with
      clang instead of gcc (Closes: #758566)
  * Bumped debian/compat to 12 and update debian/control accordingly
  * debian/control:
    - Use https:// for grsecurity.net homepage
    - Add "armel arm64 armhf" to the list of supported architectures
    - Updated standards version to 4.5.0
  * Remove debian/patches/02_change_log_file_location.diff and
    debian/patches/03_paxtest_add_info.diff as they have been
    applied upstream
  * Create a new patch (debian/patches/02_remove_cc_tests) to remove
    from the Makefiles the use of 'gcc' as a test when actually it
    is not provided at all.
  * debian/copyright: Add Brad Spengler as contributor as he is the developer
    behind the 0.9.15 release

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 13 Apr 2020 19:39:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
-Build-Depends: debhelper (>=9), docbook-to-man, linux-kernel-headers, quilt
-Standards-Version: 3.9.6
-Homepage: http://www.grsecurity.net/~spender/
+Build-Depends: debhelper (>=12), docbook-to-man, quilt
+Standards-Version: 4.5.0
+Homepage: https://www.grsecurity.net/~spender/
 
 Package: paxtest
-Architecture: i386 amd64 sparc powerpc
+Architecture: i386 amd64 sparc powerpc armel arm64 armhf
 Depends: ${shlibs:Depends}
 Description: Test suite for the PaX kernel patch
  PaX is a Linux kernel patch which adds much stricter control on how memory

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4

#
# The directory where the test programs and shared library are going to live
#
RUNDIR=/usr/lib/paxtest
export RUNDIR

#
# The directory where the test script (paxtest) is going to live
#
BINDIR=/usr/bin
export BINDIR

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@ --with quilt

override_dh_auto_build:
ifeq ($(DEB_BUILD_ARCH), i386)
	$(MAKE) -f Makefile linux32
else	
ifeq ($(DEB_BUILD_ARCH), amd64)
	$(MAKE) -f Makefile linux64
else	
	$(MAKE) -f Makefile linux
endif
endif
	/usr/bin/docbook-to-man debian/paxtest.sgml > paxtest.1


override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -f Makefile.psm clean
	rm -f paxtest.1 test

override_dh_install:
	dh_install
	$(MAKE) -f Makefile.psm install DESTDIR=$(CURDIR)/debian/paxtest

=== debian/watch ===
version=3
http://www.grsecurity.net/~spender/ \
(?:|.*/)paxtest(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
